# Πρόγραμμα Ελέγχου PIN - Με χρήση break
 
# Εμφάνιση Μηνύματος Καλωσορίσματος
print("Καλώς Ήρθατε στο Πρόγραμμα Ελέγχου του PIN σας")
print()

# Ορισμός σωστού PIN
sosto_pin=9999

# Αρχικοποίηση μετρητή προσπαθειών με την τιμή 0
prospathies=0

# Χρήση εντολής επανάληψης while
# Η επανάληψη θα συνεχίζετε για όσο
# οι προσπάθειες του χρήστη ειναι λιγότερες από 3
while prospathies<3 :
    # Εισαγωγή PIN από τον χρήστη
    print("Εισάγετε το PIN σας")
    pithano_pin=int(input())
    # Έλεγχος εάν το PIN που εισήγαγε ο χρήστης είναι το σωστό
    # Εαν ειναι σωστό,τότε 
    #   α)  εμφανίζεται το σχετικό μήνυμα επιτυχίας, και
    #   β) καλείτε η εντολή break που διακόπτει την επανάληψη while
    #      καιη εκτέλεση συνεχιζεται στην γραμμή 35 
    if pithano_pin==sosto_pin:
        print("Tο PIN ειναι σωστό. Έχετε πρόσβαση")
        break
    # Εαν είναι λαθος, τότε ο μετρητής προσπαθειών αυξάνετε κατά 1
    else:
        prospathies=prospathies+1
        print("Λάθος PIN.")
        print()

# Τυχόν Εμφάνιση Μηνύματος τελικής Αποτυχίας
if prospathies==3:
     print("Πολλές ανεπιτυχείς προσπάθειες. Δεν έχετε πρόσβαση")

# Εμφάνιση Μηνύματος Τέλους
print()
print("Ευχαριστούμε που χρησιμοποιήσατε το Πρόγραμμα Ελέγχου PIN") 

